Upgrade paths

To upgrade a deployment of i2® Analyze, you must first upgrade the deployment toolkit that you are using. You then use this upgraded toolkit to upgrade your deployment. The version of your current deployment determines exactly which path to follow.

  • If you are upgrading i2 Analyze version 4.3.1 or later, complete the instructions in Upgrading to i2 Analyze 4.4.0.
  • If you are upgrading from version 4.3.0 or earlier, part of the upgrade includes upgrading Solr to version 8, which requires the Solr index to be recreated as part of the process. This procedure can take a significant amount of time, during which your system is offline. To complete the upgrade with a period of downtime, complete the instructions in Upgrading to i2 Analyze 4.4.0.
    Note: To limit the time that your system is offline, you can upgrade to version 4.3.1 first using the online process, and then upgrade to version 4.4.0. As i2 Analyze 4.3.1 is no longer supported, you must contact i2 support for more information about this path.
Note: From i2 Analyze version 4.3.3, the Analysis Repository, Intelligence Portal, and Onyx services are no longer supported. Deployments that contain an Analysis Repository should migrate data into another repository.

Software prerequisites

If you are upgrading a deployment of i2 Analyze 4.3.0 or earlier that uses SQL Server for the Information Store database, you must install a later version of the ODBC Driver SQL Server and sqlcmd utility. For more information, see Software prerequisites.

As part of the i2 Analyze upgrade process, WebSphere® Liberty, Solr, ZooKeeper, and Java™ are updated. You do not need to download and update these prerequisites before you upgrade an existing deployment.